assignments
Get apiv1assignments submissionsme
GET
/
api
/
v1
/
assignments
/
{assignmentId}
/
submissions
/
me
cURL
curl --request GET \
--url https://tessera.edstratumlabs.ai/api/v1/assignments/{assignmentId}/submissions/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://tessera.edstratumlabs.ai/api/v1/assignments/{assignmentId}/submissions/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tessera.edstratumlabs.ai/api/v1/assignments/{assignmentId}/submissions/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"assignmentId": "<string>",
"studentId": "<string>",
"attempt": 4503599627370496,
"state": "submitted",
"text": "<string>",
"fileId": "<string>",
"link": "<string>",
"submittedAt": "<string>",
"grade": {
"score": 1,
"criteria": [
{
"criterionId": "<string>",
"levelId": "<string>",
"points": 1,
"comment": "<string>"
}
],
"feedback": "<string>",
"feedbackOrigin": "human",
"feedbackProvenance": {
"model": "<string>",
"task": "brief",
"generatedAt": "<string>",
"sources": [
{
"id": "<string>",
"name": "<string>"
}
],
"summary": "<string>"
},
"gradedBy": "<string>",
"gradedAt": "<string>",
"releasedAt": "<string>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}Authorizations
Scoped tsk_… API token or Access JWT
Path Parameters
Minimum string length:
1Response
object | null
Success
Minimum string length:
1Minimum string length:
1Minimum string length:
1Required range:
1 <= x <= 9007199254740991Available options:
submitted, graded, returned Minimum string length:
1Minimum string length:
1Show child attributes
Show child attributes
⌘I
cURL
